Bug 26456 - Reindent MARC subfield structure template
Summary: Reindent MARC subfield structure template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-14 15:09 UTC by Owen Leonard
Modified: 2020-11-13 14:42 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26456: Reindent MARC subfield structure template (52.42 KB, patch)
2020-09-14 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26456: (follow-up) Add markup comments (8.38 KB, patch)
2020-09-14 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26456: Reindent MARC subfield structure template (52.39 KB, patch)
2020-10-06 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26456: (follow-up) Add markup comments (8.38 KB, patch)
2020-10-06 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26456: Reindent MARC subfield structure template (52.44 KB, patch)
2020-10-07 20:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 26456: (follow-up) Add markup comments (8.43 KB, patch)
2020-10-07 20:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 26456: Reindent MARC subfield structure template (52.49 KB, patch)
2020-10-13 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26456: (follow-up) Add markup comments (8.49 KB, patch)
2020-10-13 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-14 15:09:13 UTC
I propose to reformat the MARC subfield structure template (marc_subfields_structure.tt) so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2020-09-14 15:27:36 UTC
Created attachment 110065 [details] [review]
Bug 26456: Reindent MARC subfield structure template

This patch reindents the MARC subfield structure template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> MARC
bibliographic framework -> MARC structure -> Edit subfields..

Test adding, editing, and deleting subfields. Confirm that changes are
saved correctly.
Comment 2 Owen Leonard 2020-09-14 15:27:42 UTC
Created attachment 110066 [details] [review]
Bug 26456: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

Also changed: Some form hints have been wrapped in <div class="hint"> to
make it consistent with other pages.

This patch should have no effect on functionality.
Comment 3 David Nind 2020-10-02 21:26:42 UTC
Patch no longer applies 8-(
Comment 4 Owen Leonard 2020-10-06 13:27:47 UTC
Created attachment 111306 [details] [review]
Bug 26456: Reindent MARC subfield structure template

This patch reindents the MARC subfield structure template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> MARC
bibliographic framework -> MARC structure -> Edit subfields..

Test adding, editing, and deleting subfields. Confirm that changes are
saved correctly.
Comment 5 Owen Leonard 2020-10-06 13:27:53 UTC
Created attachment 111307 [details] [review]
Bug 26456: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

Also changed: Some form hints have been wrapped in <div class="hint"> to
make it consistent with other pages.

This patch should have no effect on functionality.
Comment 6 David Nind 2020-10-07 20:49:35 UTC
Created attachment 111363 [details] [review]
Bug 26456: Reindent MARC subfield structure template

This patch reindents the MARC subfield structure template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> MARC
bibliographic framework -> MARC structure -> Edit subfields..

Test adding, editing, and deleting subfields. Confirm that changes are
saved correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2020-10-07 20:49:39 UTC
Created attachment 111364 [details] [review]
Bug 26456: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

Also changed: Some form hints have been wrapped in <div class="hint"> to
make it consistent with other pages.

This patch should have no effect on functionality.

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Katrin Fischer 2020-10-13 13:19:23 UTC
Created attachment 111560 [details] [review]
Bug 26456: Reindent MARC subfield structure template

This patch reindents the MARC subfield structure template.
The only non-whitespace changes where lines were combined or split.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines.

Test that functionality is unaffected: Administration -> MARC
bibliographic framework -> MARC structure -> Edit subfields..

Test adding, editing, and deleting subfields. Confirm that changes are
saved correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2020-10-13 13:19:28 UTC
Created attachment 111561 [details] [review]
Bug 26456: (follow-up) Add markup comments

This patch adds comments to the template to highlight the markup
structure.

Also changed: Some form hints have been wrapped in <div class="hint"> to
make it consistent with other pages.

This patch should have no effect on functionality.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2020-10-14 12:54:54 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-11-13 14:42:25 UTC
enhancement will not be backported to 20.05.x